@tailwind base;
@tailwind components;
@tailwind utilities;


html {
    overflow: hidden;
}

body {
    display: flex;
    flex-flow: column;
    width: 100%;
    min-width: 320px;
    min-height: 0;
    font-family: spotify-circular, spotify-circular-cyrillic, spotify-circular-arabic, spotify-circular-hebrew, Helvetica Neue, helvetica, arial, Hiragino Kaku Gothic Pro, Meiryo, MS Gothic, sans-serif;
}

.home-template {
    display: grid;
    grid-template-columns: auto 1fr;
    grid-template-rows: 1fr auto;
    height: 100%;
    min-height: 100%;
    position: relative;
    width: 100%;
    grid-template-areas:
        "nav-bar         main-view       buddy-feed"
        "now-playing-bar now-playing-bar now-playing-bar";
}

.home-sidebar-template {
    grid-area: nav-bar;
}

.home-content-template {
    grid-area: main-view;
}

.p-2px {
    padding: 2px;
}


::-webkit-scrollbar {
    width: 14px;
    height: 18px;
    --tw-bg-opacity: 1;
    background-color: rgb(26 26 26 / var(--tw-bg-opacity));
}

::-webkit-scrollbar-thumb {
    height: 3px;
    border: 4px solid rgba(0, 0, 0, 0);
    background-clip: padding-box;
    -webkit-border-radius: 7px;
    background-color: #5a5a5a;
    -webkit-box-shadow: inset -1px -1px 0px rgba(0, 0, 0, 0.05), inset 1px 1px 0px rgba(0, 0, 0, 0.05);
}

::-webkit-scrollbar-button {
    width: 0;
    height: 0;
    display: none;
}

::-webkit-scrollbar-corner {
    background-color: transparent;
}

.header-color {
    bottom: 0;
    left: 0;
    overflow: hidden;
    pointer-events: none;
    position: absolute;
    right: 0;
    top: 0;
    -webkit-transition: background-color .25s;
    transition: background-color .25s;
    z-index: -1;
}


:disabled {
    cursor: not-allowed;
    opacity: .6;
}


.h-64px {
    height: 64px;
}

.-mt-64px {
    margin-top: -64px;
}

.blur-100px {
    filter: blur(100px);
}

.z--1 {
    z-index: -1;
}

.bx-shadow-playlist-img {
    box-shadow: 0 4px 60px rgb(0 0 0 / 50%);
}

.sidebar-item-txt {
    font-size: 0.875rem;
    line-height: 1.25rem;
    text-transform: none;
    letter-spacing: .4px;
}

.letter-spacing-1-76px {
    letter-spacing: 1.76px;
}

.z-2 {
    z-index: 2;
}

.z-4 {
    z-index: 4;
}

.tracks .track-play--btn {
    display: none;
}

.tracks:hover .track-play--btn {
    display: block;
}

.tracks:hover .track-order {
    display: none;
}
